#ifndef CTESTRENDERER_HPP
#define CTESTRENDERER_HPP
#include "CAbstractRenderer.hpp"

namespace CosmicCore {
    class CTestRenderer: public CAbstractRenderer
    {
        public:
            CTestRenderer() = delete;
            CTestRenderer(CEntity& e): CAbstractRenderer(e){};
            void render() override;
            nlohmann::json to_json(){return nlohmann::json();};

    };
}
#endif

